package net.anotheria.anouitest.core;

/**
 * Executor. Lunch all found tests.
 *
 * @author ivanbatura
 */
public class TestExecutor {
    /**
     * Prevent to use default constructor.
     */
    private TestExecutor() {
    }

    /**
     * Run stories.
     *
     * @param absolutePathToStories Absolute path to the stories.
     */
    public static void run(String absolutePathToStories) {
        try {
            AcceptanceRunner acceptanceRunner = new AcceptanceRunner();
            acceptanceRunner.run(absolutePathToStories);
        } catch (UITestException e) {
            throw new RuntimeException(e);
        }
    }
}
