package net.anotheria.anouitest.step;

import net.anotheria.anouitest.page.Page;
import net.anotheria.anouitest.page.PageFactory;

/**
 * All steps should be extended from this class.
 *
 * @author ivanbatura
 */
public abstract class Step {
	/**
	 * Page factory stores all pages inside.
	 */
	private PageFactory pageFactory;
//	private static StepContext context;

	public Step(PageFactory pages) {
		this.pageFactory = pages;
	}

    /**
     * Get specific page.
     * @param page {@link Page}
     * @param <T> Class extended from {@link Page}
     * @return requested page extended from {@link Page}
     */
	protected <T extends Page> T getPage(Class<T> page) {
        return (T)pageFactory.getPages().get(page.getSimpleName());
	}

	//	public static StepContext getContext() {
//		if (context == null) {
//			context = new StepContext();
//		}
//
//		return context;
//	}

}
