package net.anotheria.anouitest.webserver;

import java.io.File;

/**
 * Embedded server.
 *
 * @author ivanbatura
 */
public interface EmbeddedServer {

	/**
	 * Start server.
	 */
	public void start();

	/**
	 * Stop server.
	 */
	public void stop();

	/**
	 * Deploy war to the server.
	 *
	 * @param appName Application name
	 * @param file    path to war file
	 */
	public void deployWar(String appName, File file);

	/**
	 * Get application url by its name.
	 *
	 * @param appName application name.
	 * @return base url of application.
	 */
	public String getApplicationUrl(String appName);
}
