package net.anotheria.anouitest.webserver;

import org.apache.commons.lang.NotImplementedException;

/**
 * Embedded server type.
 *
 * @author ivanbatura
 */
public enum EmbeddedServerType {
	/**
	 * Tomcat embedded server.
	 */
	TOMCAT {
		@Override
		public EmbeddedServer createEmbeddedServer() {
			return new EmbeddedTomcat();
		}
	},

	/**
	 * Jetty embedded server.
	 */
	JETTY {
		@Override
		public EmbeddedServer createEmbeddedServer() {
			throw new NotImplementedException("Jetty do not implemented yet");
		}
	};

	/**
	 * Create relevant embedded server.
	 *
	 * @return {@link EmbeddedServer}
	 */
	public abstract EmbeddedServer createEmbeddedServer();
}
