package net.anotheria.anouitest.webserver;

/**
 * Runnable web server worker to run server in the other thread.
 *
 * @author ivanbatura
 */
public class WebServerWorker implements Runnable {
    /**
     * Web server provider.
     */
    private final WebServerProvider provider;

    /**
     * Constructor.
     *
     * @param provider {@link WebServerProvider}
     */
    public WebServerWorker(WebServerProvider provider) {
        this.provider = provider;
    }

    @Override
    public void run() {
        provider.startServer();
    }
}
